Legacy (v0)
Show orders created from the subscription
Lists the orders created from the subscription, newest first unless sort_by and sort_direction say otherwise. Requires a Bearer token with the subscriptions view permission. Returns 404 when the subscription is not visible to the caller.
GET
/
api
/
subscriptions
/
{token}
/
orders
Show orders created from the subscription
curl --request GET \
--url https://api.fluid.app/api/subscriptions/{token}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/subscriptions/{token}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/subscriptions/{token}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/subscriptions/{token}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/subscriptions/{token}/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/subscriptions/{token}/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/subscriptions/{token}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orders": [
{
"id": 771204,
"amount": "57.49",
"amount_in_base": "57.49",
"base_to_currency_rate": "1.0",
"created_at": "2026-09-02T15:24:53Z",
"created_subscriptions": [],
"currency_code": "USD",
"discount_codes": [],
"email": "holly.flax@gmail.com",
"financial_status": "paid",
"first_name": "Holly",
"free_shipping": false,
"fulfillment_status": "fulfilled",
"last_name": "Flax",
"metadata": {},
"note": null,
"order_number": "DM-100482",
"order_status": "completed",
"order_total_after_points_redemption": 57.49,
"order_type": "purchased",
"phone": "+16035550147",
"points_applied": 0,
"points_applied_amount": 0,
"points_applied_amount_in_currency": "$0.00",
"refundable_amount": "57.49",
"source": "subscription",
"status": "delivered",
"token": "dm-100482",
"total_points_credited": 0,
"updated_at": "2026-09-05T19:12:40Z",
"warehouse_id": 12
}
],
"meta": {
"request_id": "a6c1e8f3-7b2d-4e95-8f40-3d9b6a2c1e57",
"timestamp": "2026-09-30T13:52:09Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Query Parameters
Response
string | number | boolean | null | any[] | object
Success
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Show orders created from the subscription
curl --request GET \
--url https://api.fluid.app/api/subscriptions/{token}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/subscriptions/{token}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/subscriptions/{token}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/subscriptions/{token}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/subscriptions/{token}/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/subscriptions/{token}/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/subscriptions/{token}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orders": [
{
"id": 771204,
"amount": "57.49",
"amount_in_base": "57.49",
"base_to_currency_rate": "1.0",
"created_at": "2026-09-02T15:24:53Z",
"created_subscriptions": [],
"currency_code": "USD",
"discount_codes": [],
"email": "holly.flax@gmail.com",
"financial_status": "paid",
"first_name": "Holly",
"free_shipping": false,
"fulfillment_status": "fulfilled",
"last_name": "Flax",
"metadata": {},
"note": null,
"order_number": "DM-100482",
"order_status": "completed",
"order_total_after_points_redemption": 57.49,
"order_type": "purchased",
"phone": "+16035550147",
"points_applied": 0,
"points_applied_amount": 0,
"points_applied_amount_in_currency": "$0.00",
"refundable_amount": "57.49",
"source": "subscription",
"status": "delivered",
"token": "dm-100482",
"total_points_credited": 0,
"updated_at": "2026-09-05T19:12:40Z",
"warehouse_id": 12
}
],
"meta": {
"request_id": "a6c1e8f3-7b2d-4e95-8f40-3d9b6a2c1e57",
"timestamp": "2026-09-30T13:52:09Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}